SimpleRtPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.logparse.SimpleRtPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Class SimpleRtPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.RtPlugin
              org.hyperic.hq.product.logparse.SimpleRtPlugin

    public abstract class SimpleRtPlugin

extends RtPlugin

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.product.RtPlugin
`RtPlugin.ParsedFile`

Field Summary

Fields inherited from class org.hyperic.hq.product.RtPlugin
`APPSERVER, CONFIG_DONTLOG, CONFIG_EUINTERVAL, CONFIG_EULOGDIR, CONFIG_EULOGMASK, CONFIG_INTERVAL, CONFIG_LOGDIR, CONFIG_LOGMASK, CONFIG_SVCID, CONFIG_TRANSFORM, DEFAULT_INTERVAL, ENDRTTYPE, ENDUSER, LOGFILE_SUFFIX, lp, PARAM_LOG_DIR, STARTRTTYPE, UNKNOWN, WEBSERVER`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`SimpleRtPlugin()`

Method Summary
`java.lang.String` | `convertFormat(java.lang.String fmt)`
`ConfigSchema` | `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`BaseLogParser` | `getParser()`
`double` | `getTimeMultiplier()`

Methods inherited from class org.hyperic.hq.product.RtPlugin
`combineUrls, dontLog, dontLog, generateFileList, getConfig, getEULogFormat, getLogFormat, getSvcType, getTimes, getWebAppLogDir, setTimeMultiplier, supportsEndUser`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, init, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRtPlugin

    public SimpleRtPlugin()

Method Detail

### convertFormat

    public java.lang.String convertFormat(java.lang.String fmt)

  Specified by:
    `convertFormat` in class `RtPlugin`

### getTimeMultiplier

    public double getTimeMultiplier()

  Overrides:
    `getTimeMultiplier` in class `RtPlugin`

### getParser

    public BaseLogParser getParser()

  Specified by:
    `getParser` in class `RtPlugin`

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `GenericPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.